from typing import Optional

from pydantic import BaseModel, EmailStr, Field


class Token(BaseModel):
    """Schema for authentication token."""
    access_token: str
    token_type: str


class TokenPayload(BaseModel):
    """Schema for token payload."""
    sub: Optional[int] = None


class Login(BaseModel):
    """Schema for login credentials."""
    email: EmailStr
    password: str = Field(..., min_length=8, max_length=100)